%global plugin_name workflow-basic-steps

Summary:    Commonly used steps for Pipelines
Name:       jenkins-plugin-%{plugin_name}
Version:    2.4
Release:    10%{?dist}
License:    MIT
# URL is correct
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Pipeline+Basic+Steps+Plugin
# AltURL:   https://github.com/jenkinsci/workflow-basic-steps-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.651.2
Requires:   jenkins-plugin-structs
Requires:   jenkins-plugin-mailer
Requires:   jenkins-plugin-workflow-step-api
Requires:   jenkins-plugin-workflow-api

%description
Commonly used steps for Pipelines.


%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Sun Jul 09 2017 Sam Munilla+smunilla@redhat.com--comment=Update to 2.4 - 2.4-10
- rebuilt

* Tue Apr 18 2017 Troy Dawson <tdawson@redhat.com> - 2.4-1
- Update to 2.4

* Thu Nov 03 2016 Troy Dawson <tdawson@redhat.com> - 2.3-1
- Update to latest version

* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 2.0-1
- Initial package
